#include <pybind11/pybind11.h>
#include <pybind11/stl.h>
#include <pybind11/numpy.h>
namespace py = pybind11;
using namespace std;

#include <iostream>
#include <string>
#include <vector>
#include <tuple>

#include "midi.pb.h"
#include <sample_api.h>

using namespace std;

int func() {

  string ckpt_path = "null.ckpt";
  vector<int> prompt(10,0);
  vector<tuple<vector<int>,vector<int>>> control;
  sample_from_model(ckpt_path, prompt, control, 1, .9);

}

PYBIND11_MODULE(torch_cg,m) {
  m.def("func", &func);
}